> ## Documentation Index
> Fetch the complete documentation index at: https://docs.explo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update End User

<Info>
  The End User API is now deprecated and has been replaced by the Customer API.
</Info>

### Body

<ParamField body="provided_id" type="string" required>
  The ID of the end user you provided in creation
</ParamField>

<ParamField body="customer_id" type="number" required>
  The ID of the end user group the end user belongs to
</ParamField>

<ParamField body="email" type="string">
  A new email to associate the end user with
</ParamField>

<ParamField body="attributes" type="object">
  A new set of attributes to associate the end user with
</ParamField>

### Response

<ResponseField name="success" type="number">
  Indicates whether the call was successful. 1 if successful, 0 if not.
</ResponseField>

<ResponseField name="end_user" type="object">
  The data of the end user

  <Expandable title="Toggle object">
    <ResponseField name="provided_id" type="string">
      This was the provided\_id provided in the request body
    </ResponseField>

    <ResponseField name="email" type="string">
      This was the email provided in the request body
    </ResponseField>

    <ResponseField name="attributes" type="string">
      This was the set of attributes provided in the request body
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request POST 'https://api.explo.co/api/update_end_user/' \
  --header 'Content-Type: application/json' \
  --header 'Explo-Authorization: Token <token>' \
  --data-raw '{
      "provided_id": "example_1",
      "email": "example@explo.co",
      "customer_id": 123
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": 1,
    "end_user": {
      "provided_id": 3,
      "email": "example@explo.co",
      "attributes": "{'name': 'Example', 'header': '<div/>'"
    }
  }
  ```
</ResponseExample>
